from libqtile import bar, layout, widget
from libqtile.config import Click, Drag, Group, Key, Match, Screen
from libqtile.lazy import lazy
from libqtile.utils import guess_terminal

widget_defaults = dict(
    font="sans",
    fontsize=12,
    padding=3,
)
extension_defaults = widget_defaults.copy()

screens = [
    Screen(
        wallpaper='~/.config/qtile/wallpapers/theater.jpg',
        wallpaper_mode='fill',
        
        left=bar.Gap(5),
        right=bar.Gap(5),
        bottom=bar.Gap(5),
         top=bar.Bar(
            [
               # widget.CurrentLayout(),

                widget.GroupBox(
                    highlight_metod='block',
                    visible_groups=['1', '2', '3', '4', '5']
                ),

                widget.Prompt(),

                widget.WindowName(),

                widget.Chord(
                    chords_colors={
                        "launch": ("#ff0000", "#ffffff"),
                    },
                    name_transform=lambda name: name.upper(),
                ),

                widget.Clock(format="%Y-%m-%d %a %H:%M"),
            ],
            30,
            margin=[6,6,6,6],
            border_width=[1, 1, 1, 1], 
            border_color=["ffffff", "ffffff", "ffffff","ffffff"]  # Borders are white
        ),
    ),
]

